perl-5.8.7 propolice bug

Robert Connolly robert at linuxfromscratch.org
Fri Jun 24 15:51:26 PDT 2005


Hi. Perl has an open bug for version 5.8.7 with propolice:

http://guest@rt.perl.org/rt3/index.html?q=36309
http://www.mail-archive.com/perl5-porters%40perl.org/msg88161.html

"When building perl 5.8.7 with the -fstack-protector patches for GCC,
miniperl fails to build DynaLoader and segfaults. This didn't happen 
with 5.8.6."

There is no fix yet. I think we should use
CFLAGS="$CFLAGS -fno-stack-protector" for now rather than downgrading to 
5.8.6.

robert



More information about the hlfs-dev mailing list